Name: help2man
Version: 1.29
Release: alt2

Summary: help2man creates simple man pages from the output of programs
License: GPL
Group: Development/Other
Url: http://www.gnu.org/software/%name/
Packager: Yuri N. Sedunov <aris@altlinux.ru>
BuildArch: noarch

Source: ftp://ftp.gnu.org/gnu/%name/%name-%version.tar.bz2

Patch1: %name-1.29-alt-texinfo.patch
Patch2: %name-1.29-alt-runas.patch

Requires(post): %install_info
Requires(preun): %uninstall_info
Requires: coreutils

%description
help2man is a tool for automatically generating simple manual
pages from program output.

This program is intended to provide an easy way for software authors
to include a manual page in their distribution without having to
maintain that document.

Given a program which produces reasonably standard --help and
--version outputs, help2man can re-arrange that output into
something which resembles a manual page.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure
%make_build

%install
%makeinstall

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%_bindir/*
%_infodir/*.info*
%_mandir/man?/*
%doc ChangeLog NEWS README THANKS

%changelog
* Fri May 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1.29-alt2
- Deal with info dir entries such that the menu looks pretty.
- Use runas(1) to run executable.
- Changed %%postun script to %%preun.
- Updated package dependencies.

* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.29-alt1
- 1.29

* Fri May 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.27-alt1
- 1.27

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.26-alt1
- 1.26

* Sun Jan 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.25-alt1
- First build for Sisyphus.
